
Redmine - Defect #1854

A full hyphen will result in broken characters in the exported csv

2008-09-04 03:41 - Harry Yamamoto

Status: Closed Start date: 2008-09-04

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

When I new a issue where I input a full hyphen"－",there would be broken characters in the exported csv file.

History

#1 - 2008-09-04 20:30 - Jean-Philippe Lang

- Category deleted (Issues)

- Target version deleted (0.7.3)

#2 - 2008-09-04 20:31 - Jean-Philippe Lang

- Category set to Issues

- Assignee deleted (Nicolas Chuche)

#3 - 2013-02-06 11:13 - Daniel Felix

- Status changed from New to Closed

- Resolution set to Cant reproduce

I checked this with the current Release (2.2.2).

The export works properly for me.

This seems to be fixed. I'm closing this issue.

#4 - 2013-02-11 13:29 - Toshi MARUYAMA

U+FF0D has problem in SJIS.

$ echo －| LANG=C iconv -f utf-8 -t sjis | iconv -f sjis -t utf-8

iconv: illegal input sequence at position 0

$ echo －| LANG=C iconv -f utf-8 -t cp932 | iconv -f cp932 -t utf-8

－

general_csv_encoding in Japanese changed from 0.8.7 SJIS to 0.9.0 CP932.

source:tags/0.8.7/lang/ja.yml#L53

source:tags/0.9.0/config/locales/ja.yml#L156
http://www.fileformat.info/info/unicode/char/ff0d/index.htm
http://en.wikipedia.org/wiki/Shift_JIS
https://www.redmine.org/versions/13
https://www.redmine.org/versions/6
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/0.8.7/lang/ja.yml#L53
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/0.9.0/config/locales/ja.yml#L156
http://www.tcpdf.org

